<p align="center">
<img
    alt="Comty logo"
    src="https://storage.ragestudio.net/rstudio/branding/comty/iso/basic_alt.svg"
    height="150px"
/>
</p>

# Comty™
[![CodeFactor](https://www.codefactor.io/repository/github/ragestudio/comty/badge)](https://www.codefactor.io/repository/github/ragestudio/comty)
[![Maintainability](https://api.codeclimate.com/v1/badges/f89a278695d0a1301fe5/maintainability)](https://codeclimate.com/github/srgooglo/comty/maintainability)
[![Discord](https://img.shields.io/discord/769176303978938389?label=Discord)](https://discord.gg/yxQR6EXf2F)
[![Kofi](https://img.shields.io/badge/Kofi-F16061.svg?logo=ko-fi&logoColor=white)
](https://ko-fi.com/comty)

The platform to hold all your creative.

> 👋 Check our official beta instance, access it from [https://comty.app](https://comty.app)

> We recently launched a Ko-Fi page for Comty, you can support us by donating to our page [https://ko-fi.com/comty](https://ko-fi.com/comty)

## 🌟 Some of the features
📝 A microblogging system similar to Twitter allows users to post short messages with attachments and more.

🎥 Comty TV is a live video streaming feature that allows users to stream their videos, events, or anything else in real-time to other users. It provides "playback anywhere™" URL's, including HLS, RTMP, RTSP without vendor lock-in.

> Now supports restreams! Easily push your streams to whatever you want.

🎶 Comty Music lets users publish their music masterpieces, share their playlists with other users, and synchronize their music with other platforms. A powerful music player is also included in the application.

🧩 Modular and Extensible architecture allows developers to create and publish extensions for the platform using the powerful API provided by Comty.

## 🌐 Available platforms
We have official public services that you can find on these platforms!

🌐 Web | [https://comty.app](https://comty.app)

📱 (Outdated) Android APK (unsigned) (bundle auto update) | [https://github.com/ragestudio/comty/releases/download/0.50.4/app-release.apk](https://github.com/ragestudio/comty/releases/download/0.50.4/app-release.apk)

## 🚀 Development
Check the [getting-started.md](./docs/development/getting-started.md) document to get started with the development.

## 🤝 Contributions
Contributions to Comty are welcome. If you want to contribute, please follow the instructions mentioned in the [CONTRIBUTING.md](./CONTRIBUTING.md) file.

## 💅 Code Style
Please read the related document [CODE_STYLE.md](./CODE_STYLE.md) for more details.

## 🧑‍💻 Code of Conduct
We provide a [CODE_OF_CONDUCT.md](./CODE_OF_CONDUCT.md) file to help you understand what behavior is expected and unacceptable in the project.

## 📜 License
Comty is licensed under the Comty license. See the [LICENSE](./LICENSE) file for more details.

## 🧑‍🔬 Status
The project is in alpha design phase, and the development is slow but continuous, prioritizing quality to ensure the project base is preserved for a long time.

> 👥 The Comty team is looking for new members, and any contribution to the project is very welcome.

> If you are interested in more depth in the project, you can join our [Discord server](https://discord.gg/yxQR6EXf2F) and talk to us.

## :heart: Thanks to our supporters
<kbd><img src="https://avatars.githubusercontent.com/u/94137617?v=4" href="https://github.com/SoyRage" height="64" width="64" border="1px" align="center"></kbd>
<kbd><img src="https://avatars.githubusercontent.com/u/84641340?v=4" href="https://github.com/FoxasFoxVulpes" height="64" width="64" border="1px" align="center"></kbd>
<kbd><img src="https://avatars.githubusercontent.com/u/179495972?v=4" href="https://github.com/asiersinmasdev" height="64" width="64" border="1px" align="center"></kbd>

## Special Sponsors
[![Plenix Network - Cheap Hosting Solutions](https://storage.ragestudio.net/comty-static-assets/sponsors/plenix_board.png)](https://plenix.net)
